| http://www.sim.no/ http://www.coin3d.org/

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
SoSpecularColorElement Class Reference
Element Classes

The SoSpecularColorElement is yet to be documented.FIXME: write doc. More...

`#include <Inventor/elements/SoSpecularColorElement.h>`

Inheritance diagram for SoSpecularColorElement:

## Public Member Functions

virtual void | init (SoState *state)
| FIXME: write doc.
int32_t | getNum (void) const
| FIXME: write doc.
const SbColor & | get (const int index) const
| FIXME: write doc.
const SbColor * | getArrayPtr (void) const
Public Member Functions inherited from SoReplacedElement
virtual SbBool | matches (const SoElement *element) const
virtual SoElement * | copyMatchInfo () const
uint32_t | getNodeId () const
virtual void | print (FILE *file) const
Public Member Functions inherited from SoElement
const SoType | getTypeId (void) const
int | getStackIndex (void) const
virtual void | push (SoState *state)
virtual void | pop (SoState *state, const SoElement *prevTopElement)
void | setDepth (const int depth)
int | getDepth (void) const
virtual | ~SoElement ()

## Static Public Member Functions

static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
static void | set (SoState *const state, SoNode *const node, const int32_t numColors, const SbColor *const colors)
| FIXME: write doc.
static const SoSpecularColorElement * | getInstance (SoState *state)
| FIXME: write doc.
Static Public Member Functions inherited from SoReplacedElement
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initClass (void)
Static Public Member Functions inherited from SoElement
static void | initClass (void)
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initElements (void)
static int | getNumStackIndices (void)
static SoType | getIdFromStackIndex (const int stackIndex)

## Protected Member Functions

virtual | ~SoSpecularColorElement ()
Protected Member Functions inherited from SoReplacedElement
virtual | ~SoReplacedElement ()
Protected Member Functions inherited from SoElement
| SoElement (void)
void | capture (SoState *const state) const
virtual void | captureThis (SoState *state) const
void | setTypeId (const SoType typeId)
void | setStackIndex (const int index)
SoElement * | getNextInStack (void) const
SoElement * | getNextFree (void) const

## Additional Inherited Members

Static Protected Member Functions inherited from SoReplacedElement
static SoElement * | getElement (SoState *const state, const int stackIndex, SoNode *const node)
Static Protected Member Functions inherited from SoElement
static SoElement * | getElement (SoState *const state, const int stackIndex)
static const SoElement * | getConstElement (SoState *const state, const int stackIndex)
static int | createStackIndex (const SoType id)
Protected Attributes inherited from SoReplacedElement
uint32_t | nodeId
Protected Attributes inherited from SoElement
SoType | typeId
int | stackIndex
int | depth
Static Protected Attributes inherited from SoElement
static int | classStackIndex
static SoTypeList * | stackToType

## Detailed Description

The SoSpecularColorElement is yet to be documented.

FIXME: write doc.

## Constructor & Destructor Documentation

## ◆ ~SoSpecularColorElement()

SoSpecularColorElement::~SoSpecularColorElement | ( |  | ) |

protectedvirtual

The destructor.

## Member Function Documentation

## ◆ createInstance()

void * SoSpecularColorElement::createInstance | ( | void |  | ) |

static

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

## ◆ initClass()

void SoSpecularColorElement::initClass | ( | void |  | ) |

static

This static method initializes static data for the SoSpecularColorElement class.

## ◆ getArrayPtr()

const SbColor * SoSpecularColorElement::getArrayPtr | ( | void |  | ) | const

Returns a pointer to the color array. This method is not part of the OIV API.

The documentation for this class was generated from the following files:

- SoSpecularColorElement.h
- SoSpecularColorElement.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.